org.apache.catalina.tribes.io

## Class BufferPool

- java.lang.Object
- - org.apache.catalina.tribes.io.BufferPool

    public class BufferPool
    extends Object

Version:
  1.0
Author:
  Filip Hanik

### Nested Class Summary

Nested Classes
`static interface` `BufferPool.BufferPoolAPI`

### Field Summary

Fields
`static int` `DEFAULT_POOL_SIZE`
`protected static BufferPool` `instance`
`protected BufferPool.BufferPoolAPI` `pool`

### Method Summary

Methods
`void` `clear()`
`XByteBuffer` `getBuffer(int minSize, boolean discard)`
`static BufferPool` `getBufferPool()`
`void` `returnBuffer(XByteBuffer buffer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_POOL_SIZE

    public static final int DEFAULT_POOL_SIZE

See Also:
  Constant Field Values

#### instance

    protected static volatile BufferPool instance

#### pool

    protected BufferPool.BufferPoolAPI pool

### Method Detail

#### getBuffer

    public XByteBuffer getBuffer(int minSize,
                        boolean discard)

#### returnBuffer

    public void returnBuffer(XByteBuffer buffer)

#### clear

    public void clear()

#### getBufferPool

    public static BufferPool getBufferPool()